/*
  Copyright 2009 CNRS-LAAS

  Author: Oussama Kanoun
*/

#ifndef HPP_LOCALSTEPPER_TEST_H
#define HPP_LOCALSTEPPER_TEST_H



#include <iostream>
#include "MatrixAbstractLayer/MatrixAbstractLayer.h"
#include <boost/numeric/bindings/traits/ublas_matrix.hpp>
#include <boost/numeric/bindings/lapack/gesvd.hpp>
#include "robotDynamics/jrlRobotDynamicsObjectConstructor.h"
#include "hrp2Dynamics/hrp2OptHumanoidDynamicRobot.h"


#include "hpplocalstepper/hppLosCentipede.hh"
#include "hpplocalstepper/tasks/hppLosTask.hh"
class ChppLocalStepperTest
{
public:

    ChppLocalStepperTest();

    ~ChppLocalStepperTest();
    
    void plan();
    
private:
    ChppGikStandingRobot* createHumanoidRobot();
    ChppLosCentipede* createAnotherCentipede ( ChppGikStandingRobot* sr1, unsigned int inExtraSteps, bool rootIsRight );
    void createCentipede();

    std::list<ChppLosLink*> attCentipedeParts;
    
    vectorN attMask;
    
    std::vector<ChppGikStandingRobot*> standingRobots;
    std::vector<ChppLosCentipede*> centipedes;
    ChppLosCentipede* attCentipede;
    
    vectorN initialConfig;
    vector3d finalCom;
};

#endif

